libzypp 17.38.15

Queue.h File Reference
`#include <iosfwd>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp/sat/detail/PoolDefines.h>`

Go to the source code of this file.

## Classes
class | zypp::sat::Queue
| Libsolv Id queue wrapper. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
| Libsolv interface

## Typedefs
using | zypp::sat::SolvableQueue = Queue
| Queue with Solvable ids.
using | zypp::sat::StringQueue = Queue
| Queue with String ids.

## Functions
std::ostream & | zypp::sat::operator<< (std::ostream &str, const Queue &obj) ZYPP_API
| relates: Queue Stream output
std::ostream & | zypp::sat::dumpOn (std::ostream &str, const Queue &obj) ZYPP_API
| relates: Queue Stream output assuming a Solvable queue.
bool | zypp::sat::operator== (const Queue &lhs, const Queue &rhs) ZYPP_API
| relates: Queue
bool | zypp::sat::operator!= (const Queue &lhs, const Queue &rhs)
| relates: Queue
template<>
sat::detail::CQueue * | zypp::rwcowClone< sat::detail::CQueue > (const sat::detail::CQueue *rhs)
| relates: Queue Clone function for RWCOW_pointer